BookMembers

Lists the users who are members of a book. A user is a member as soon as they hold a system role <b>or</b> at least one application role; `systemRole` is null for a user who only holds application roles.

GET
/public-api/v1/books/{bookId}/members/users
cURL
curl --request GET \
  --url '/public-api/v1/books/{bookId}/members/users' \
  --header 'user-api-key: <api-key>'

Authorizations

  • user-api-keystringheader

    User's API Key · apiKey

Path parameters

  • bookIdstringrequired

Responses

Members returned.

  • UserIdstringrequired

    The user.

  • SystemRolestring
  • Rolesobject[]

    Application roles held by the member, with their label.

    • RoleIdstringrequired

      Role identifier.

    • Labelstringrequired

      Display label.

    • Descriptionstring

      Optional description.